ScrollableDataTableTag (RichFaces JSF components library 3.1.2.GA API)
Keywords: org.richfaces.taglib.ScrollableDataTableTag class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.taglib
Class ScrollableDataTableTag

    java.lang.Object
      javax.faces.webapp.UIComponentTag
          org.ajax4jsf.webapp.taglib.UIComponentTagBase
              org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
                  org.richfaces.taglib.ScrollableDataTableTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class ScrollableDataTableTag

extends org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentTag
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`ScrollableDataTableTag()`

Method Summary
`java.lang.String` | `getComponentType()`
`java.lang.String` | `getRendererType()`
`void` | `release()`
`void` | `setActiveClass(java.lang.String __activeClass)`
`void` | `setAjaxKeys(java.lang.String __ajaxKeys)`
`void` | `setAjaxSingle(java.lang.String __ajaxSingle)`
`void` | `setBypassUpdates(java.lang.String __bypassUpdates)`
`void` | `setCaptionClass(java.lang.String __captionClass)`
`void` | `setColumnClasses(java.lang.String __columnClasses)`
`void` | `setComponentState(java.lang.String __componentState)`
`void` | `setData(java.lang.String __data)`
`void` | `setEventsQueue(java.lang.String __eventsQueue)`
`void` | `setFirst(java.lang.String __first)`
`void` | `setFocus(java.lang.String __focus)`
`void` | `setFooter(java.lang.String __footer)`
`void` | `setFooterClass(java.lang.String __footerClass)`
`void` | `setFrozenColCount(java.lang.String __frozenColCount)`
`void` | `setHeader(java.lang.String __header)`
`void` | `setHeaderClass(java.lang.String __headerClass)`
`void` | `setHeight(java.lang.String __height)`
`void` | `setHideWhenScrolling(java.lang.String __hideWhenScrolling)`
`void` | `setIgnoreDupResponses(java.lang.String __ignoreDupResponses)`
`void` | `setLimitToList(java.lang.String __limitToList)`
`void` | `setOnbeforedomupdate(java.lang.String __onbeforedomupdate)`
`void` | `setOncomplete(java.lang.String __oncomplete)`
`void` | `setOnRowClick(java.lang.String __onRowClick)`
`void` | `setOnRowDblClick(java.lang.String __onRowDblClick)`
`void` | `setOnRowMouseDown(java.lang.String __onRowMouseDown)`
`void` | `setOnRowMouseUp(java.lang.String __onRowMouseUp)`
`void` | `setOnselectionchange(java.lang.String __onselectionchange)`
`protected void` | `setProperties(javax.faces.component.UIComponent component)`
`void` | `setRequestDelay(java.lang.String __requestDelay)`
`void` | `setReRender(java.lang.String __reRender)`
`void` | `setResponseData(java.lang.String __responseData)`
`void` | `setRowClasses(java.lang.String __rowClasses)`
`void` | `setRowIndex(java.lang.String __rowIndex)`
`void` | `setRowKey(java.lang.String __rowKey)`
`void` | `setRowKeyVar(java.lang.String __rowKeyVar)`
`void` | `setRows(java.lang.String __rows)`
`void` | `setScriptVar(java.lang.String __scriptVar)`
`void` | `setScrollPos(java.lang.String __scrollPos)`
`void` | `setSelectedClass(java.lang.String __selectedClass)`
`void` | `setSelection(java.lang.String __selection)`
`void` | `setSortListener(java.lang.String __sortListener)`
`void` | `setSortMode(java.lang.String __sortMode)`
`void` | `setSortOrder(java.lang.String __sortOrder)`
`void` | `setStateVar(java.lang.String __stateVar)`
`void` | `setStatus(java.lang.String __status)`
`void` | `setTimeout(java.lang.String __timeout)`
`void` | `setVar(java.lang.String __var)`
`void` | `setWidth(java.lang.String __width)`

Methods inherited from class org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
`setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

Methods inherited from class org.ajax4jsf.webapp.taglib.UIComponentTagBase
`setActionListenerProperty, setActionProperty, setBooleanProperty, setCharterProperty, setConverter, setConverterProperty, setDoubleProperty, setFloatProperty, setIntegerProperty, setLongProperty, setStringProperty, setValidatorProperty, setValue, setValueBinding, setValueChangedListenerProperty, setValueProperty`

Methods inherited from class javax.faces.webapp.UIComponentTag
`doEndTag, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getComponentInstance, getCreated, getDoEndValue, getDoStartValue, getFacesContext, getFacetName, getId, getParent, getParentUIComponentTag, isSuppressed, isValueReference, setBinding, setId, setPageContext, setParent, setRendered, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScrollableDataTableTag

    public ScrollableDataTableTag()

Method Detail

### setOnselectionchange

    public void setOnselectionchange(java.lang.String __onselectionchange)

### setFooter

    public void setFooter(java.lang.String __footer)

### setWidth

    public void setWidth(java.lang.String __width)

### setHideWhenScrolling

    public void setHideWhenScrolling(java.lang.String __hideWhenScrolling)

### setOnRowClick

    public void setOnRowClick(java.lang.String __onRowClick)

### setStateVar

    public void setStateVar(java.lang.String __stateVar)

### setRowKeyVar

    public void setRowKeyVar(java.lang.String __rowKeyVar)

### setOnRowDblClick

    public void setOnRowDblClick(java.lang.String __onRowDblClick)

### setFocus

    public void setFocus(java.lang.String __focus)

### setBypassUpdates

    public void setBypassUpdates(java.lang.String __bypassUpdates)

### setRowKey

    public void setRowKey(java.lang.String __rowKey)

### setLimitToList

    public void setLimitToList(java.lang.String __limitToList)

### setVar

    public void setVar(java.lang.String __var)

### setSortMode

    public void setSortMode(java.lang.String __sortMode)

### setRows

    public void setRows(java.lang.String __rows)

### setTimeout

    public void setTimeout(java.lang.String __timeout)

### setOnRowMouseUp

    public void setOnRowMouseUp(java.lang.String __onRowMouseUp)

### setColumnClasses

    public void setColumnClasses(java.lang.String __columnClasses)

### setHeader

    public void setHeader(java.lang.String __header)

### setFirst

    public void setFirst(java.lang.String __first)

### setSelection

    public void setSelection(java.lang.String __selection)

### setHeaderClass

    public void setHeaderClass(java.lang.String __headerClass)

### setResponseData

    public void setResponseData(java.lang.String __responseData)

### setRowClasses

    public void setRowClasses(java.lang.String __rowClasses)

### setOncomplete

    public void setOncomplete(java.lang.String __oncomplete)

### setComponentState

    public void setComponentState(java.lang.String __componentState)

### setSortOrder

    public void setSortOrder(java.lang.String __sortOrder)

### setOnRowMouseDown

    public void setOnRowMouseDown(java.lang.String __onRowMouseDown)

### setFooterClass

    public void setFooterClass(java.lang.String __footerClass)

### setReRender

    public void setReRender(java.lang.String __reRender)

### setActiveClass

    public void setActiveClass(java.lang.String __activeClass)

### setAjaxKeys

    public void setAjaxKeys(java.lang.String __ajaxKeys)

### setScrollPos

    public void setScrollPos(java.lang.String __scrollPos)

### setSortListener

    public void setSortListener(java.lang.String __sortListener)

### setHeight

    public void setHeight(java.lang.String __height)

### setCaptionClass

    public void setCaptionClass(java.lang.String __captionClass)

### setSelectedClass

    public void setSelectedClass(java.lang.String __selectedClass)

### setAjaxSingle

    public void setAjaxSingle(java.lang.String __ajaxSingle)

### setFrozenColCount

    public void setFrozenColCount(java.lang.String __frozenColCount)

### setRowIndex

    public void setRowIndex(java.lang.String __rowIndex)

### setScriptVar

    public void setScriptVar(java.lang.String __scriptVar)

### setStatus

    public void setStatus(java.lang.String __status)

### setRequestDelay

    public void setRequestDelay(java.lang.String __requestDelay)

### setEventsQueue

    public void setEventsQueue(java.lang.String __eventsQueue)

### setData

    public void setData(java.lang.String __data)

### setOnbeforedomupdate

    public void setOnbeforedomupdate(java.lang.String __onbeforedomupdate)

### setIgnoreDupResponses

    public void setIgnoreDupResponses(java.lang.String __ignoreDupResponses)

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### getComponentType

    public java.lang.String getComponentType()

  Specified by:
    `getComponentType` in class `javax.faces.webapp.UIComponentTag`

### getRendererType

    public java.lang.String getRendererType()

  Specified by:
    `getRendererType` in class `javax.faces.webapp.UIComponentTag`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.